%global pypi_name certifi
%global commitId 9e9e840925d7b8e76c76fdac1fab7e6e88c1c3b8
%global version 2022.12.7

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        %{version}
Release:        1%{?dist}
Summary:        Python package for providing Mozilla's CA Bundle

License:        MPL-2.0
URL:            https://github.com/certifi/python-certifi
Source0:        python-certifi-9e9e840925d7b8e76c76fdac1fab7e6e88c1c3b8.tar.gz
Patch0:         certifi-2022.12.07-use-system-cert.patch
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
# Require the system certificate bundle (/etc/pki/tls/certs/ca-bundle.crt)
BuildRequires:  ca-certificates

%global _description %{expand:
Certifi is a carefully curated collection of Root Certificates for validating
the trustworthiness of SSL certificates while verifying the identity of TLS
hosts. It has been extracted from the Requests project.

Please note that this package does not actually include a certificate
collection at all. It reads the system shared certificate trust collection
instead. For more details on this system, see the ca-certificates package.}

%description
%{_description}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
Requires:       ca-certificates
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}


%prep
set -ex
%autosetup -p1 -n python-%{pypi_name}-%{commitId}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Remove bundled Root Certificates collection
rm -rf certifi/*.pem


%build
set -ex
%py3_build


%install
set -ex
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Jan 31 2023 Satoe Imaishi <simaishi@redhat.com> 2022.12.7-1
- Update to 2022.12.7

* Tue Apr 26 2022 Yanis Guenane - 2020.6.20-3
- Build against Python 3.9

* Wed Sep 08 2021 Evgeni Golov - 2020.6.20-2
- Build against Python 3.8

* Mon Jul 20 2020 Evgeni Golov - 2020.6.20-1
- Initial package.
